require "rubygems"
require "rake"

GEMSPEC = Gem::Specification.new do |s|
  s.name = "ruby-dbus-wrapper-process-watch"
  s.summary = "Monitor D-Bus processes"
  s.description = "Allows to register nice callbacks when D-Bus processess appear or disappear from the bus"
  s.version = File.read("VERSION").strip
  s.license = "MIT"
  s.author = "Marcin Lewandowski"
  s.email = "marcin@saepia.net"
  s.homepage = "https://github.com/mspanc/ruby-dbus-wrapper-process-watch"
  s.files = FileList["{lib}/**/*", "LICENSE", "README.md", "ruby-dbus-wrapper-process-watch.gemspec", "VERSION"].to_a.sort
  s.require_path = "lib"
  s.required_ruby_version = ">= 1.9.3"
  s.add_runtime_dependency "ruby-dbus-wrapper"
end